## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesBridgeNavigator Class Reference

This class is deprecated. More...

`#include <XercesBridgeNavigator.hpp>`

Collaboration diagram for XercesBridgeNavigator:

List of all members.

## Public Types

- typedef XalanNode::IndexType IndexType

## Public Methods

- XercesBridgeNavigator ( XercesDocumentBridge* theOwnerDocument = 0, bool mappingMode = true)
- XercesBridgeNavigator (const XercesBridgeNavigator& theSource)
- virtual ~XercesBridgeNavigator ()
- XercesDocumentBridge* getOwnerDocument () const
- void setOwnerDocument (XercesDocumentBridge* theDocument)
- XalanNode* mapNode (const DOM_NodeType& theXercesNode) const
- XalanAttr* mapNode (const DOM_AttrType& theXercesNode) const
- DOM_NodeType mapNode (const XalanNode* theXalanNode) const
- DOM_AttrType mapNode (const XalanAttr* theXercesNode) const
- IndexType getIndex () const
- void setIndex (IndexType theIndex)
- XalanNode* getParentNode (const DOM_NodeType& theXercesNode) const
- XalanNode* getParentNode () const
- void setParentNode (XalanNode* theParent)
- XalanNode* getPreviousSibling (const DOM_NodeType& theXercesNode) const
- XalanNode* getPreviousSibling () const
- void setPreviousSibling (XalanNode* thePreviousSibling)
- XalanNode* getNextSibling (const DOM_NodeType& theXercesNode) const
- XalanNode* getNextSibling () const
- void setNextSibling (XalanNode* theNextSibling)
- XalanNode* getFirstChild (const DOM_NodeType& theXercesNode) const
- XalanNode* getFirstChild () const
- void setFirstChild (XalanNode* theFirstChild)
- XalanNode* getLastChild (const DOM_NodeType& theXercesNode) const
- XalanNode* getLastChild () const
- void setLastChild (XalanNode* theLastChild)
- XalanNode* insertBefore ( DOM_NodeType& theXercesParent, XalanNode* newChild, XalanNode* refChild) const
- XalanNode* replaceChild ( DOM_NodeType& theXercesParent, XalanNode* newChild, XalanNode* oldChild) const
- XalanNode* removeChild ( DOM_NodeType& theXercesParent, XalanNode* oldChild) const
- XalanNode* appendChild ( DOM_NodeType& theXercesParent, XalanNode* newChild) const
- XalanElement* getOwnerElement (const DOM_AttrType& theXercesAttr) const
- XalanNode* cloneNode ( const XalanNode* theXalanNode, const DOM_NodeType& theXercesNode, bool deep) const
- XalanText* splitText ( DOM_TextType& theXercesText, unsigned int offset) const
- const XalanDOMString& getPooledString (const DOMStringType& theString) const
    Get a pooled string. More...

## Detailed Description

This class is deprecated.

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

## Member Typedef Documentation

typedef XalanNode::IndexType XercesBridgeNavigator::IndexType

## Constructor & Destructor Documentation

XercesBridgeNavigator::XercesBridgeNavigator ( | XercesDocumentBridge * theOwnerDocument = 0,
| bool mappingMode = true )`[explicit]`

XercesBridgeNavigator::XercesBridgeNavigator ( | const XercesBridgeNavigator & theSource )

virtual XercesBridgeNavigator::~XercesBridgeNavigator ( | )`[virtual]`

## Member Function Documentation

XalanNode* XercesBridgeNavigator::appendChild ( | DOM_NodeType & theXercesParent,
| XalanNode * newChild ) const

XalanNode* XercesBridgeNavigator::cloneNode ( | const XalanNode * theXalanNode,
| const DOM_NodeType & theXercesNode,
| bool deep ) const

XalanNode * XercesBridgeNavigator::getFirstChild ( | ) const`[]`

XalanNode* XercesBridgeNavigator::getFirstChild ( | const DOM_NodeType & theXercesNode ) const

IndexType XercesBridgeNavigator::getIndex ( | ) const`[]`

XalanNode * XercesBridgeNavigator::getLastChild ( | ) const`[]`

XalanNode* XercesBridgeNavigator::getLastChild ( | const DOM_NodeType & theXercesNode ) const

XalanNode * XercesBridgeNavigator::getNextSibling ( | ) const`[]`

XalanNode* XercesBridgeNavigator::getNextSibling ( | const DOM_NodeType & theXercesNode ) const

XercesDocumentBridge * XercesBridgeNavigator::getOwnerDocument ( | ) const`[]`

XalanElement* XercesBridgeNavigator::getOwnerElement ( | const DOM_AttrType & theXercesAttr ) const

XalanNode * XercesBridgeNavigator::getParentNode ( | ) const`[]`

XalanNode* XercesBridgeNavigator::getParentNode ( | const DOM_NodeType & theXercesNode ) const

const XalanDOMString & XercesBridgeNavigator::getPooledString ( | const DOMStringType & theString ) const

Get a pooled string.

If the string is not in the pool, add it.

Parameters:

  theString | The string to pool.

Returns:
  A const reference to the pooled string.

XalanNode * XercesBridgeNavigator::getPreviousSibling ( | ) const`[]`

XalanNode* XercesBridgeNavigator::getPreviousSibling ( | const DOM_NodeType & theXercesNode ) const

XalanNode* XercesBridgeNavigator::insertBefore ( | DOM_NodeType & theXercesParent,
| XalanNode * newChild,
| XalanNode * refChild ) const

DOM_AttrType XercesBridgeNavigator::mapNode ( | const XalanAttr * theXercesNode ) const

DOM_NodeType XercesBridgeNavigator::mapNode ( | const XalanNode * theXalanNode ) const

XalanAttr* XercesBridgeNavigator::mapNode ( | const DOM_AttrType & theXercesNode ) const

XalanNode* XercesBridgeNavigator::mapNode ( | const DOM_NodeType & theXercesNode ) const

XalanNode* XercesBridgeNavigator::removeChild ( | DOM_NodeType & theXercesParent,
| XalanNode * oldChild ) const

XalanNode* XercesBridgeNavigator::replaceChild ( | DOM_NodeType & theXercesParent,
| XalanNode * newChild,
| XalanNode * oldChild ) const

void XercesBridgeNavigator::setFirstChild ( | XalanNode * theFirstChild )`[]`

void XercesBridgeNavigator::setIndex ( | IndexType theIndex )`[]`

void XercesBridgeNavigator::setLastChild ( | XalanNode * theLastChild )`[]`

void XercesBridgeNavigator::setNextSibling ( | XalanNode * theNextSibling )`[]`

void XercesBridgeNavigator::setOwnerDocument ( | XercesDocumentBridge * theDocument )`[]`

void XercesBridgeNavigator::setParentNode ( | XalanNode * theParent )`[]`

void XercesBridgeNavigator::setPreviousSibling ( | XalanNode * thePreviousSibling )`[]`

XalanText* XercesBridgeNavigator::splitText ( | DOM_TextType & theXercesText,
| unsigned int offset ) const

The documentation for this class was generated from the following file:

- XercesBridgeNavigator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.